Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf.atp
Class Daemon

    java.lang.Object
      |
      +--com.ibm.maf.atp.Daemon

public final class Daemon
extends java.lang.Object

`Daemon` is a listener of incoming ATP request.

Version:
  1.10 $Date: 2001/07/28 06:31:29 $
Author:
  Danny D. Langue, Gaku Yamamoto, Mitsuru Oshima, ONO Kouichi

Method Summary
`static void` | `access(java.net.InetAddress host, long time, java.lang.String requestLine, int statusCode, java.lang.String misc)` Write a access log
`static void` | `error(java.net.InetAddress host, long time, java.lang.String err, java.lang.String reason)` Write a error message into a log file
`static MAFAgentSystem` | `getLocalAgentSystem(java.lang.String address)`
`static MAFAgentSystem` | `getLocalAgentSystem(Ticket ticket)`
`void` | `message(long time, java.lang.String msg)` Write a message into a log file
`static void` | `setAccessLogFile(java.lang.String filename)`
`static void` | `setAccessLogStream(java.io.OutputStream out)`
`static void` | `setErrorLogFile(java.lang.String filename)`
`static void` | `setErrorLogStream(java.io.OutputStream out)`
`static void` | `setMessageLogFile(java.lang.String filename)`
`static void` | `setMessageLogStream(java.io.OutputStream out)`
`void` | `setUser(java.lang.String username, java.security.cert.Certificate cert)` username and certificate.
`void` | `start()`
`static void` | `update()` updating resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### access

    public static void access(java.net.InetAddress host,
                              long time,
                              java.lang.String requestLine,
                              int statusCode,
                              java.lang.String misc)

  Write a access log

### error

    public static void error(java.net.InetAddress host,
                             long time,
                             java.lang.String err,
                             java.lang.String reason)

  Write a error message into a log file

### getLocalAgentSystem

    public static MAFAgentSystem getLocalAgentSystem(Ticket ticket)

### getLocalAgentSystem

    public static MAFAgentSystem getLocalAgentSystem(java.lang.String address)

### message

    public void message(long time,
                        java.lang.String msg)

  Write a message into a log file

### setAccessLogFile

    public static void setAccessLogFile(java.lang.String filename)
                                 throws java.io.IOException

### setAccessLogStream

    public static void setAccessLogStream(java.io.OutputStream out)

### setErrorLogFile

    public static void setErrorLogFile(java.lang.String filename)
                                throws java.io.IOException

### setErrorLogStream

    public static void setErrorLogStream(java.io.OutputStream out)

### setMessageLogFile

    public static void setMessageLogFile(java.lang.String filename)
                                  throws java.io.IOException

### setMessageLogStream

    public static void setMessageLogStream(java.io.OutputStream out)

### setUser

    public void setUser(java.lang.String username,
                        java.security.cert.Certificate cert)

  username and certificate.

### start

    public void start()

### update

    public static void update()

  updating resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD